//=============================================================================
// skl1.
//=============================================================================
class skl1 extends Projectile;

#exec TEXTURE IMPORT NAME=gbProj0 FILE=gbProj0.pcx GROUP=Effects
#exec TEXTURE IMPORT NAME=gbProj1 FILE=gbProj1.pcx GROUP=Effects



var() texture SpriteAnim[6];
var int i;


simulated function Timer()
{
	Texture = SpriteAnim[i];
	i++;
	if (i>=6) i=0;
}

function SetUp()
{
	if ( ScriptedPawn(Instigator) != None )
		Speed = ScriptedPawn(Instigator).ProjectileSpeed;
	Velocity = Vector(Rotation) * speed;
	MakeNoise ( 1.0 );
	PlaySound(SpawnSound);
}

simulated function PostBeginPlay()
{
	SetUp();
	if ( Level.NetMode != NM_DedicatedServer )
	{
		Texture = SpriteAnim[0];
		i=1;
		SetTimer(0.15,True);
	}
	Super.PostBeginPlay();
}

auto state Flying
{


simulated function ProcessTouch (Actor Other, Vector HitLocation)
{
	if (Other != instigator)
	{
		if ( Role == ROLE_Authority )
			Other.TakeDamage(Damage, instigator,HitLocation,
					15000.0 * Normal(velocity), 'burned');
		Explode(HitLocation, Vect(0,0,0));
	}
}

simulated function Explode(vector HitLocation, vector HitNormal)
{
	local SpriteBallExplosion s;

	if ( (Role == ROLE_Authority) && (FRand() < 0.5) )
		MakeNoise(1.0); //FIXME - set appropriate loudness

	s = Spawn(class'SpriteBallExplosion',,,HitLocation+HitNormal*9);
	s.RemoteRole = ROLE_None;
	Destroy();
}

Begin:
	Sleep(3);
	Explode(Location, Vect(0,0,0));
}


defaultproperties
{
     SpriteAnim(0)=Texture'gbProj0'
     SpriteAnim(1)=Texture'gbProj1'
     SpriteAnim(2)=Texture'gbProj0'
     SpriteAnim(3)=Texture'gbProj1'
     SpriteAnim(4)=Texture'gbProj0'
     SpriteAnim(5)=Texture'gbProj1'
     speed=600.00
     Damage=40.00
     ImpactSound=Sound'UnrealShare.flak.expl2'
     LifeSpan=3.50
     DrawType=1
     Style=3
     Texture=Texture'gbProj0'
     Fatness=0
     bUnlit=True

}
